package cn.com.tenlion.configtable.controller.route.configtable;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import cn.com.tenlion.configtable.service.configtable.IConfigTableService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: ConfigTableController
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 10:59:30
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/configtable")
public class ConfigTableRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("configtable/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("configtable/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("configtable/list");
    }

    @GetMapping("listfield")
    public ModelAndView listField() {
        return new ModelAndView("configtable/list-field");
    }



    @GetMapping("field-select")
    public ModelAndView fieldSelect() {
        String path = "configtable/field-select";
        return new ModelAndView(path);
    }

    @GetMapping("field-file")
    public ModelAndView fieldFile() {
        String path = "configtable/field-file";
        return new ModelAndView(path);
    }
}